@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pico.h File Reference
`#include "pico/types.h"`
`#include "pico/version.h"`
`#include "pico/config.h"`
`#include "pico/platform.h"`
`#include "pico/error.h"`
Include dependency graph for pico.h:

Go to the source code of this file.

## Macros

#define | __PICO_STRING(x)
#define | __PICO_XSTRING(x)
#define | __PICO_CONCAT1(x, y)
#define | pico_board_cmake_set(x, y)
| A marker used in board headers to specify a CMake variable and value that should be set in the CMake build when the board header is used.
#define | pico_board_cmake_set_default(x, y)
| A marker used in board headers to specify a CMake variable and value that should be set in the CMake build when the board header is used, if that CMake variable has not already been set.

## Macro Definition Documentation

## __PICO_CONCAT1

#define __PICO_CONCAT1 | ( |  | x,
|  |  | y )

Value:
x ## y

## __PICO_STRING

#define __PICO_STRING | ( |  | x | ) |

Value:
#x

## __PICO_XSTRING

#define __PICO_XSTRING | ( |  | x | ) |

Value:
__PICO_STRING(x)